# coding: utf-8
from educommon.django.db.model_view import AttrValue
from educommon.django.db.model_view import FieldVerboseName
from educommon.django.db.model_view import HtmlTableView
from educommon.django.db.model_view import ModelVerboseName
from educommon.django.db.model_view import Text


related_model_views = (
    HtmlTableView(
        model='to_analytics_data.SyncObject',
        description=ModelVerboseName(),
        columns=(
            dict(
                header=Text('Id записи'),
                data=AttrValue('object_id'),
            ),
            dict(
                header=FieldVerboseName('dont_sync'),
                data=AttrValue('dont_sync'),
            ),
        )
    ),
)
